Go to the latest version of this document.

# ``twisted`.`trial`.`_synctest``

module documentation
(source)

Things likely to be used by writers of unit tests.

Maintainer: Jonathan Lange

Exception | `UnsupportedTrialFeature` | A feature of twisted.trial was used that pyunit cannot support.
Type Variable | `T` | Undocumented
Class | `_Assertions` | Replaces many of the built-in TestCase assertions. In general, these assertions provide better error messages and are easier to use in callbacks.
Class | `_AssertRaisesContext` | A helper for implementing `assertRaises`. This is a context manager and a helper method to support the non-context manager version of `assertRaises`.
Class | `_LogObserver` | Observes the Twisted logs and catches any errors.
Class | `_Warning` | A `_Warning` instance represents one warning emitted through the Python warning system (`warnings`). This is used to insulate callers of `_collectWarnings` from changes to the Python warnings system which might otherwise require changes to the warning objects that function passes to the observer object it accepts.
Function | `_collectWarnings` | Call `f` with `args` positional arguments and `kwargs` keyword arguments and collect all warnings which are emitted as a result in a list.
Function | `_setWarningRegistryToNone` | Disable the per-module cache for every module found in `modules`, typically `sys.modules`.
Constant | `_P` | Undocumented
Variable | `_logObserver` | Undocumented

T = (source)

Undocumented

Value

    TypeVar('T')

def _collectWarnings(observeWarning, f, *args, **kwargs): (source)

Call `f` with `args` positional arguments and `kwargs` keyword arguments and collect all warnings which are emitted as a result in a list.

Parameters
observeWarning | A callable which will be invoked with a `_Warning` instance each time a warning is emitted.
f | Undocumented
*args | Undocumented
**kwargs | Undocumented

Returns
The return value of `f(*args, **kwargs)`.

def _setWarningRegistryToNone(modules): (source)

Disable the per-module cache for every module found in `modules`, typically `sys.modules`.

Parameters
modules | Dictionary of modules, typically sys.module dict

_P = (source)

Undocumented

Value

    ParamSpec('_P')

_logObserver = (source)

Undocumented